#include <bits/stdc++.h>
using namespace std;

struct Str{

    double plata;
    double procenat;
};

bool comp(Str p1 , Str p2)
{
    return p1.procenat<p2.procenat;
}

int main(){

    int n;
    cin>>n;
    Str F[n];
    for(int i=0;i<n;i++)
    {
        cin>>F[i].plata>>F[i].procenat;
    }
    sort(F,F+n,comp);
     double zbir=0.0;
     double ukupno=0.0;
    zbir=zbir+F[n-1].plata;
     double trenutno = (zbir*F[n-1].procenat)/100.0;
    if(trenutno>ukupno){ukupno=trenutno;}
    for(int i=n-2;i>=0;i--)
    {
        zbir=zbir+F[i].plata;
        trenutno = (zbir*F[i].procenat)/100.0;
        if(trenutno>ukupno){ukupno=trenutno;}
    }
    cout<<fixed<<setprecision(4)<<ukupno;
}